(specifications->manifest
 '("emacs" "emacs-magit" "emacs-auctex" "emacs-geiser" "emacs-slime"
   "emacs-use-package" "emacs-neotree" "emacs-paredit" "emacs-ivy"
   "emacs-helm" "emacs-helm-gtags" "emacs-helm-swoop" "emacs-helm-descbinds" "emacs-helm-ls-git" "emacs-helm-unicode"
   "emacs-ag" "emacs-yasnippet" "emacs-yasnippet-snippets" "emacs-helm-c-yasnippet"
   "emacs-yasnippet-snippets" "emacs-auto-yasnippet" "emacs-undo-tree"

   "emacs-restclient" "emacs-rainbow-identifiers" "emacs-rainbow-delimiters" "emacs-highlight-sexp"
   "emacs-isearch+" "emacs-org" "emacs-org-web-tools" "emacs-org-mind-map"
   "emacs-god-mode" "emacs-ace-window" "emacs-ace-jump-mode" "emacs-realgud" "emacs-haskell-mode"
   "emacs-rust-mode" "emacs-go-mode" "emacs-mmm-mode" "emacs-lua-mode"
   "emacs-terraform-mode" "emacs-yaml-mode" "emacs-racket-mode" "emacs-php-mode"
   "emacs-json-mode" "emacs-multiple-cursors"

   "emacs-pretty-mode" "emacs-expand-region" "emacs-auto-complete" "emacs-string-inflection" "emacs-flycheck"
   "emacs-fill-column-indicator"
   "emacs-dired-hacks"

   "emacs-all-the-icons"

   ;; Packages that are not yet upstream
   "z" "fzf" "spaceship-prompt" "zsh-autosuggestions"
   "emacs-doom-themes" "emacs-doom-modeline" "emacs-rebox2"
   "emacs-multi-term" "emacs-ac-geiser" "emacs-highlight-indent-guides"
   "emacs-ibuffer-vc" "emacs-highlight-parentheses" "emacs-intel-hex-mode"
   "emacs-quack" "emacs-mu4e-maildirs-extension"

   "emacs-scribble-mode"

   "emacs-projectile"
   "emacs-helm-projectile"

   "aspell" "aspell-dict-en"

   ;; These fonts are required for icecat
   "font-gnu-freefont-ttf"

   "emacs-exwm"
   "mu" "emacs-helm-mu" "emacs-mu4e-conversation" "emacs-mu4e-alert"

   "zathura" "zathura-pdf-poppler" "zathura-ps" "zathura-djvu"

   "awscli" "ansible" "skopeo"

   "gnupg" "password-store" "pass-otp"

   "curl" "wget" "htop"

   "nmap" "bmon"

   "beets" "youtube-dl" "ncmpcpp"

   "git" "openssh" "direnv"
   "texlive" "graphviz"

   "kitty" "dunst"
   "rofi"

   "icecat" "mpv"

   "rhash"

   "xlsfonts"

   "terraform" "terraform-provider-aws"

   ;; TODO: kicad currently broken (wxwidgets does not build)
   ;; "kicad" "kicad-library" "kicad-symbols" "gtkwave"

   ;; TODO: (packages I like but maybe should be project specific?)
   ;;   "avr-toolchain" (propigated inputs: "avrdude" "avr-binutils" "avr-gcc")
   ;;   "clojure"
   ;;   "lua"
   ;;   "chez"
   ;;   "coq"

   ;; TODO: (these probably should go in the system configuration)
   ;;   "iptables"
   ;;   "network-manager"
   ;;   "network-manager-openvpn"
   ;;   "bitlebee"
   ))
